echo 'Starting installation'
echo 'Installing base packages'

set +e

sudo dnf install -y \
    git which util-linux-user zsh vim-enhanced \
    tig guake gvim firefox thunderbird keepassxc filezilla telegram-desktop nextcloud-client libreoffice lpf-spotify-client teamviewer  \
    pavucontrol flameshot ibus-uniemoji xsel dex-autostart mpv xt7-player-mpv \
    php-cli php-json php-mysqli php-zip php-xml php-mbstring php-xdebug mysql wp-cli composer java \
    docker-ce docker-compose \

#echo 'Install work packages'
#sudo dnf install -y \
#    apache-ant pedit \

cd ~
mkdir workspace
cd workspace
git clone https://git.doggoat.de/dhalucario/devconf.git
git submodule update --init --recusive
cd devconf
./install-light.sh

echo 'Switching shell to zsh'
chsh -s $(which zsh)

vim +PlugInstall +qall
